umbrello: UMLEntityAttributeDialog Class Reference

umbrello 2.37.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLEntityAttributeDialog Class Reference

`#include <umlentityattributedialog.h>`

Inheritance diagram for UMLEntityAttributeDialog:

## Public Slots
void | slotAutoIncrementStateChanged (bool checked)
void | slotNameChanged (const QString &)

## Public Member Functions
| UMLEntityAttributeDialog (QWidget *pParent, UMLEntityAttribute *pEntityAttribute)
| ~UMLEntityAttributeDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()

## Protected Member Functions
void | setupDialog ()
virtual bool | apply ()
void | insertAttribute (const QString &type, int index=-1)
Protected Member Functions inherited from SinglePageDialogBase
virtual bool | validate ()

## Protected Attributes
UMLEntityAttribute * | m_pEntityAttribute
QGroupBox * | m_pAttsGB
QGroupBox * | m_pValuesGB
QGroupBox * | m_pScopeGB
QRadioButton * | m_pPublicRB
QRadioButton * | m_pPrivateRB
QRadioButton * | m_pProtectedRB
QRadioButton * | m_pNoneRB
QLabel * | m_pNameL
QLabel * | m_pInitialL
QLabel * | m_pValuesL
QLabel * | m_pAttributesL
KComboBox * | m_pAttributesCB
KLineEdit * | m_pNameLE
KLineEdit * | m_pInitialLE
KLineEdit * | m_pValuesLE
QCheckBox * | m_pAutoIncrementCB
QCheckBox * | m_pNullCB
UMLDatatypeWidget * | m_datatypeWidget
UMLStereotypeWidget * | m_stereotypeWidget
DefaultValueWidget * | m_defaultValueWidget

## Additional Inherited Members
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()

## Detailed Description

Author
  Jonathan Riddell Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLEntityAttributeDialog()

UMLEntityAttributeDialog::UMLEntityAttributeDialog | ( | QWidget * | pParent,
|  | UMLEntityAttribute * | pEntityAttribute
| ) |  |

## ◆ ~UMLEntityAttributeDialog()

UMLEntityAttributeDialog::~UMLEntityAttributeDialog | ( |  | ) |

## Member Function Documentation

## ◆ apply()

bool UMLEntityAttributeDialog::apply | ( |  | ) |
| protectedvirtual

Checks if changes are valid and applies them if they are, else returns false

Reimplemented from SinglePageDialogBase.

## ◆ insertAttribute()

void UMLEntityAttributeDialog::insertAttribute | ( | const QString & | type,
|  | int | index = `-1`
| ) |  |
| protected

Inserts `type` into the type-combobox as well as its completion object.

## ◆ setupDialog()

void UMLEntityAttributeDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog.

## ◆ slotAutoIncrementStateChanged

void UMLEntityAttributeDialog::slotAutoIncrementStateChanged | ( | bool | checked | ) |
| slot

Is activated when the auto increment state is changed.

## ◆ slotNameChanged

void UMLEntityAttributeDialog::slotNameChanged | ( | const QString & | _text | ) |
| slot

## Member Data Documentation

## ◆ m_datatypeWidget

UMLDatatypeWidget* UMLEntityAttributeDialog::m_datatypeWidget
| protected

## ◆ m_defaultValueWidget

DefaultValueWidget* UMLEntityAttributeDialog::m_defaultValueWidget
| protected

## ◆ m_pAttributesCB

KComboBox* UMLEntityAttributeDialog::m_pAttributesCB
| protected

## ◆ m_pAttributesL

QLabel * UMLEntityAttributeDialog::m_pAttributesL
| protected

## ◆ m_pAttsGB

QGroupBox* UMLEntityAttributeDialog::m_pAttsGB
| protected

## ◆ m_pAutoIncrementCB

QCheckBox* UMLEntityAttributeDialog::m_pAutoIncrementCB
| protected

## ◆ m_pEntityAttribute

UMLEntityAttribute* UMLEntityAttributeDialog::m_pEntityAttribute
| protected

The EntityAttribute to represent.

## ◆ m_pInitialL

QLabel * UMLEntityAttributeDialog::m_pInitialL
| protected

## ◆ m_pInitialLE

KLineEdit * UMLEntityAttributeDialog::m_pInitialLE
| protected

## ◆ m_pNameL

QLabel* UMLEntityAttributeDialog::m_pNameL
| protected

## ◆ m_pNameLE

KLineEdit* UMLEntityAttributeDialog::m_pNameLE
| protected

## ◆ m_pNoneRB

QRadioButton * UMLEntityAttributeDialog::m_pNoneRB
| protected

## ◆ m_pNullCB

QCheckBox* UMLEntityAttributeDialog::m_pNullCB
| protected

## ◆ m_pPrivateRB

QRadioButton * UMLEntityAttributeDialog::m_pPrivateRB
| protected

## ◆ m_pProtectedRB

QRadioButton * UMLEntityAttributeDialog::m_pProtectedRB
| protected

## ◆ m_pPublicRB

QRadioButton* UMLEntityAttributeDialog::m_pPublicRB
| protected

## ◆ m_pScopeGB

QGroupBox* UMLEntityAttributeDialog::m_pScopeGB
| protected

## ◆ m_pValuesGB

QGroupBox * UMLEntityAttributeDialog::m_pValuesGB
| protected

## ◆ m_pValuesL

QLabel * UMLEntityAttributeDialog::m_pValuesL
| protected

## ◆ m_pValuesLE

KLineEdit * UMLEntityAttributeDialog::m_pValuesLE
| protected

## ◆ m_stereotypeWidget

UMLStereotypeWidget* UMLEntityAttributeDialog::m_stereotypeWidget
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlentityattributedialog.h
- umbrello/dialogs/umlentityattributedialog.cpp